<?php
namespace Bushelpowered\Api\Crm\V1\Response;
        
class CustomerIdentifierResponse 
{
    public string $id;
    public string $customerId;
    public string $tenantId;
    public string $idpId;
    public string $idpSlug;
    public ?string $identifierName = null;
    public ?string $contactType = null;

    /**
     */
    public function __construct(string $id, string $customerId, string $tenantId, string $idpId, string $idpSlug, ?string $identifierName, ?string $contactType)
    {
        $this->id = $id;
        $this->customerId = $customerId;
        $this->tenantId = $tenantId;
        $this->idpId = $idpId;
        $this->idpSlug = $idpSlug;
        $this->identifierName = $identifierName;
        $this->contactType = $contactType;
    }
    

}